Skip to content
Get started

Retrieve a table

GET/v1/structured-sheets/{structured_sheet_id}/tables/{table_id}

Get details of a specific table extracted from the structured sheet. Only available when conversion status is 'completed'.

Path ParametersExpand Collapse
structured_sheet_id: string

The unique identifier of the structured sheet conversion.

table_id: string

The unique identifier of the table.

ReturnsExpand Collapse
TableResponse = object { id, created_at, name, 4 more }

Response representing a table extracted from a structured sheet.

This is returned from GET (retrieve) and list table endpoints. Table names use a composite format: {normalized_sheet_name}__{table_name}.

id: string

The unique identifier for this table.

created_at: string

The timestamp when this table was created.

formatdate-time
name: string

Composite table name: {normalized_sheet_name}__{table_name}. Uses lowercase snake_case. Aggregation tables end with '__aggregations'. Two special metadata tables exist per structured sheet: '__deeptable_workbook_metadata' (workbook provenance info) and '__deeptable_table_overview' (summary of all tables). Example: 'staffing__head_count' or 'staffing__head_count__aggregations'.

maxLength255
object: "table"

The object type, which is always 'table'.

sheet_name: string

The original Excel sheet name this table came from.

maxLength100
structured_sheet_id: string

The ID of the structured sheet this table belongs to.

type: "relational" or "aggregation" or "tableless" or "metadata"

The type of table (relational, aggregation, tableless, or metadata).

One of the following:
"relational"
"aggregation"
"tableless"
"metadata"

Retrieve a table

curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID/tables/$TABLE_ID \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
{
  "id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
  "created_at": "2026-01-15T10:35:00Z",
  "name": "staffing__head_count",
  "object": "table",
  "sheet_name": "Staffing",
  "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
  "type": "relational"
}
Returns Examples
{
  "id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
  "created_at": "2026-01-15T10:35:00Z",
  "name": "staffing__head_count",
  "object": "table",
  "sheet_name": "Staffing",
  "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
  "type": "relational"
}